package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 组板小板位置表
 * </p>
 *
 * @author SunH
 * @since 2024-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_SMALL_PLT_POS")
public class PmSmallPltPosDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
      @TableId(value = "PSPP_ID", type = IdType.AUTO)
    private BigDecimal psppId;

    /**
     * 组板材料号
     */
    private String pdMatNo;

    /**
     * 小板分割号
     */
    private String smallPlateDivNo;

    /**
     * 合同号
     */
    private String orderNo;

    /**
     * 生产合同主表主键
     */
    private BigDecimal proContId;

    /**
     * 合同顺序号
     */
    private Integer orderSeqNo;

    /**
     * 板坯号
     */
    private String slabNo;

    /**
     * 钢板号
     */
    private String plateNo;

    /**
     * 取板方式_宽度方向
     */
    private Integer pickModeWidDir;

    /**
     * 取板方式_长度方向
     */
    private Integer pickModeLenDir;

    /**
     * 订货厚度
     */
    private BigDecimal orderThick;

    /**
     * 订货宽度
     */
    private BigDecimal orderWidth;

    /**
     * 订货长度
     */
    private Integer orderLen;

    /**
     * 订货长度下限
     */
    private Integer orderLenMin;

    /**
     * 订货长度上限
     */
    private Integer orderLenMax;

    /**
     * 小板厚度
     */
    private BigDecimal smallPlateThick;

    /**
     * 小板宽度
     */
    private BigDecimal smallPlateWidth;

    /**
     * 小板长度
     */
    private Integer smallPlateLen;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private Long createdBy;

    /**
     * 最近更新人ID
     */
    private Long lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
